
Redmine - Defect #24049

Records in table time_entries with null value at field issue_id

2016-10-11 16:42 - Miguel Salcedo Menendez

Status: Closed Start date:  

Priority: Low Due date:  

Assignee:  % Done: 0%

Category: Time tracking Estimated time: 0.00 hour

Target version:    

Resolution: Duplicate Affected version: 3.3.1

Description

It appears records at the table time_entries with an empty issue_id. I think this is not correct. Generaly it occurs when a user modify a

time imputation for example to change de issue id.

Related issues:

Is duplicate of Redmine - Feature #24577: Settings to make the issue and/or c... Closed

History

#1 - 2016-10-11 16:56 - Toshi MARUYAMA

- Status changed from New to Needs feedback

It is design that time entry depends on issue or not.

#2 - 2016-10-23 11:24 - Jean-Philippe Lang

Yes Redmine lets enter time at project level, without entering an issue id.

Maybe a setting could be added to disallow this?

#3 - 2016-12-11 02:16 - Marius BĂLTEANU

Jean-Philippe Lang wrote:

Yes Redmine lets enter time at project level, without entering an issue id.

Maybe a setting could be added to disallow this?

 I think that this feature is really needed and I've added a patch in #24577 which implements this.

#4 - 2016-12-11 03:25 - Go MAEDA

- Is duplicate of Feature #24577: Settings to make the issue and/or comment fields mandatory for time logs added

#5 - 2016-12-11 03:25 - Go MAEDA

- Status changed from Needs feedback to Closed

- Resolution set to Duplicate

A patch to implement this feature was submitted as #24577.

Closing this issue.
